CREATE TABLE IF NOT EXISTS `AUTHORS` (
	`ID` INT(11) NOT NULL AUTO_INCREMENT,
	`FIRSTNAME` VARCHAR(30) NULL DEFAULT NULL COLLATE 'latin1_german1_ci',
	`LASTNAME` VARCHAR(30) NULL DEFAULT NULL COLLATE 'latin1_german1_ci',
	PRIMARY KEY (`ID`) USING BTREE
)
COLLATE='latin1_german1_ci'
ENGINE=InnoDB
AUTO_INCREMENT=1
;

CREATE TABLE IF NOT EXISTS `GENRES` (
	`ID` INT(11) NOT NULL AUTO_INCREMENT,
	`GENRE_NAME` VARCHAR(30) NOT NULL COLLATE 'latin1_german1_ci',
	PRIMARY KEY (`ID`) USING BTREE
)
COLLATE='latin1_german1_ci'
ENGINE=InnoDB
AUTO_INCREMENT=1
;


CREATE TABLE IF NOT EXISTS `BOOKS` (
	`ID` INT(11) NOT NULL AUTO_INCREMENT,
	`TITLE` VARCHAR(50) NOT NULL COLLATE 'latin1_german1_ci',
	`PUB_YEAR` INT(11) NOT NULL,
	`AUTHOR_ID` INT(11) NOT NULL,
	`GENRE_ID` INT(11) NOT NULL,
	`SAMPLE` TEXT(65535) NOT NULL COLLATE 'latin1_german1_ci',
	PRIMARY KEY (`ID`) USING BTREE,
	INDEX `AUTHOR_ID` (`AUTHOR_ID`) USING BTREE,
	INDEX `GENRE_ID` (`GENRE_ID`) USING BTREE,
	CONSTRAINT `AUTHOR_ID` FOREIGN KEY (`AUTHOR_ID`) REFERENCES `bookshop`.`AUTHORS` (`ID`) ON UPDATE RESTRICT ON DELETE RESTRICT,
	CONSTRAINT `GENRE_ID` FOREIGN KEY (`GENRE_ID`) REFERENCES `bookshop`.`GENRES` (`ID`) ON UPDATE RESTRICT ON DELETE RESTRICT
)
COLLATE='latin1_german1_ci'
ENGINE=InnoDB
AUTO_INCREMENT=1
;

CREATE TABLE IF NOT EXISTS `CUSTOMERS` (
	`ID` INT(11) NOT NULL AUTO_INCREMENT,
	`FIRSTNAME` VARCHAR(30) NOT NULL COLLATE 'latin1_german1_ci',
	`LASTNAME` VARCHAR(30) NOT NULL COLLATE 'latin1_german1_ci',
	`STREET` VARCHAR(50) NOT NULL COLLATE 'latin1_german1_ci',
	`CITY` VARCHAR(50) NOT NULL COLLATE 'latin1_german1_ci',
	`EMAIL` VARCHAR(300) NOT NULL COLLATE 'latin1_german1_ci',
	`USERNAME` VARCHAR(30) NOT NULL COLLATE 'latin1_german1_ci',
	`PASSWORD` VARCHAR(200) NOT NULL COLLATE 'latin1_german1_ci',
	PRIMARY KEY (`ID`) USING BTREE,
	UNIQUE INDEX `USERNAME` (`USERNAME`) USING BTREE
)
COLLATE='latin1_german1_ci'
ENGINE=InnoDB
AUTO_INCREMENT=2
;


CREATE TABLE IF NOT EXISTS `ORDERS` (
	`ID` INT(11) NOT NULL AUTO_INCREMENT,
	`CUSTOMER_ID` INT(11) NOT NULL,
	`BOOK_ID` INT(11) NOT NULL,
	`ORDER_DATE` BIGINT(20) NOT NULL,
	PRIMARY KEY (`ID`) USING BTREE,
	INDEX `CUSTOMER_ID` (`CUSTOMER_ID`) USING BTREE,
	INDEX `BOOK_ID` (`BOOK_ID`) USING BTREE,
	CONSTRAINT `BOOK_ID` FOREIGN KEY (`BOOK_ID`) REFERENCES `bookshop`.`BOOKS` (`ID`) ON UPDATE RESTRICT ON DELETE RESTRICT,
	CONSTRAINT `CUSTOMER_ID` FOREIGN KEY (`CUSTOMER_ID`) REFERENCES `bookshop`.`CUSTOMERS` (`ID`) ON UPDATE RESTRICT ON DELETE RESTRICT
)
COLLATE='latin1_german1_ci'
ENGINE=InnoDB
AUTO_INCREMENT=1
;

LOAD DATA LOCAL INFILE 'Authors.csv' 
INTO TABLE AUTHORS
FIELDS
  TERMINATED BY ';'
  ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS (ID, FIRSTNAME, LASTNAME);

LOAD DATA LOCAL INFILE 'Genres.csv' 
INTO TABLE GENRES
FIELDS
  TERMINATED BY ';'
  ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS (ID, GENRE_NAME);

LOAD DATA LOCAL INFILE 'Books.csv' 
INTO TABLE BOOKS
FIELDS
  TERMINATED BY ';'
  ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS (ID, TITLE, PUB_YEAR, AUTHOR_ID, GENRE_ID, SAMPLE);

LOAD DATA LOCAL INFILE 'Customers.csv' 
INTO TABLE CUSTOMERS
FIELDS
  TERMINATED BY ';'
  ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS (ID, FIRSTNAME, LASTNAME, STREET, CITY, EMAIL, USERNAME, PASSWORD);



